RE: Mac – SAP Java GUI Factory not found with 2.41

      Hello,

      Today I my AiE for Mac stopped working. Existing projects don’t open, and when I press the new project button nothing happens either (I updated to 2.41 yesterday, maybe it’s related).

      Looking at the log, I get this error: SAP Java GUI Factory:

      !ENTRY com.sap.adt.logging 4 0 2015-03-15 15:07:41.750

      !MESSAGE The given path to the SAPGUI for Java is null.

      !ENTRY com.sap.adt.logging 2 0 2015-03-15 15:07:41.752

      !MESSAGE SAP Java GUI Factory not found

      !ENTRY org.eclipse.ui 4 0 2015-03-15 15:07:41.758

      !MESSAGE Unhandled event loop exception

      !STACK 0

      java.lang.ArrayIndexOutOfBoundsException: -1

      This last OutOfBounds exception appeared once in a popup while trying to create a new project. I didn’t touch Java GUI, and it was working yesterday before the update.

      What is the “given path” for Java Gui? I didn’t “give” any path.

      Thanks

      Hi Joao,   the path to SAP GUI for Java is normally retrieved automatically. It seems that this mechanism is failing on your machine. Which version of SAP GUI for Java are you using? If it's not 7.40 I definitely recommend you an upgrade.   Besides that, could you please start your SAP GUI for Java and open the Settings dialog (Command + ,). Go to Others -> Embedding and check if there is at least one entry. Choose the one (or the most recent version of SAP GUI) and set it as default. Afterwards, please restart both SAP GUI…

      User Rating: Be the first one !
      Future-Analyst Vice Professor Asked on November 2, 2016 in eclipse.
      Add Comment
      1 Answers

        Hi Joao,

         

        the path to SAP GUI for Java is normally retrieved automatically. It seems that this mechanism is failing on your machine. Which version of SAP GUI for Java are you using? If it’s not 7.40 I definitely recommend you an upgrade.

         

        Besides that, could you please start your SAP GUI for Java and open the Settings dialog (Command + ,). Go to Others -> Embedding and check if there is at least one entry. Choose the one (or the most recent version of SAP GUI) and set it as default. Afterwards, please restart both SAP GUI and Eclipse.

         

        Best regards, Sebastian

        Add Comment

        Your Answer

        By posting your answer, you agree to the privacy policy and terms of service.